Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package macros
  Definition Classes
    reflect
-  package compiler
  Definition Classes
    macros
- DefaultMacroCompiler
- Errors
- Resolvers
- Validators

t

scala.reflect.macros.compiler

# Errors

###

#### trait Errors extends Traces

Self Type
  DefaultMacroCompiler
Source
  Errors.scala

Linear Supertypes
Traces, AnyRef, Any
Known Subclasses
DefaultMacroCompiler
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Errors
2. Traces
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  trait Error extends AnyRef

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Errors toany2stringadd[Errors] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Errors, B)
   Implicit
     This member is added by an implicit conversion from Errors toArrowAssoc[Errors] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def MacroBundleNonStaticError(isReplClassBased: Boolean): Nothing
7.  def MacroBundleWrongShapeError(): Nothing
8.  def MacroImplAmbiguousError(): Nothing
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def ensuring(cond: (Errors) => Boolean, msg: => Any): Errors
    Implicit
      This member is added by an implicit conversion from Errors toEnsuring[Errors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (Errors) => Boolean): Errors
    Implicit
      This member is added by an implicit conversion from Errors toEnsuring[Errors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): Errors
    Implicit
      This member is added by an implicit conversion from Errors toEnsuring[Errors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): Errors
    Implicit
      This member is added by an implicit conversion from Errors toEnsuring[Errors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Errors toStringFormat[Errors] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def globalSettings: Settings
    Definition Classes
      Errors → Traces
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  val macroDebugLite: Boolean
    Definition Classes
      Traces
24.  val macroDebugVerbose: Boolean
    Definition Classes
      Traces
25.  final def macroLogLite(msg: => Any): Unit
    Definition Classes
      Traces
    Annotations
      @inline()
26.  final def macroLogVerbose(msg: => Any): Unit
    Definition Classes
      Traces
    Annotations
      @inline()
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
31.  def toString(): String
    Definition Classes
      AnyRef → Any
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Errors, B)
   Implicit
     This member is added by an implicit conversion from Errors toArrowAssoc[Errors] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Traces

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromErrors to any2stringadd[Errors]

### Inherited by implicit conversion StringFormat fromErrors to StringFormat[Errors]

### Inherited by implicit conversion Ensuring fromErrors to Ensuring[Errors]

### Inherited by implicit conversion ArrowAssoc fromErrors to ArrowAssoc[Errors]

### Ungrouped